Vulnerabilidades en Sun Java Web Console 2.x y Sun Solaris 10

SeguridadVirus

Se ha descubierto una vulnerabilidad de seguridad que permitiría a un atacante causar una denegación de servicios o la ejecución de código arbitrario en Sun Java Web Console anterior a la versión 2.2.6 y Sun Solaris 10.

La Sun Java Web Console es vulnerable a un formato de cadena concreto, cuya raíz reside en la creación de registros de logins erróneos, por lo que puede ser aprovechada por usuarios remotos no autentificados.

Esta vulnerabilidad se da cuanto se llama a la función libc syslog en /usr/lib/libwebconsole_services.so con dos argumentos, en lugar de tres, lo que permitiría a un atacante influir en el buffer de mensaje.

Como solución se propone actualizar Sun Java Web Console a la versión 2.2.6 o posteriores:

http://www.sun.com/download/products.xml?id=461d58be

Para Sun Solaris 10 se han publicado los siguientes parches:

SPARC:

http://sunsolve.sun.com/search/document.do?assetkey=urn:cds:docid:1-21-121211-02-1

X86:

http://sunsolve.sun.com/search/document.do?assetkey=urn:cds:docid:1-21-121212-02-1

Leer la biografía del autor  Ocultar la biografía del autor